<?php

function admin_enqueue(){
if (is_admin())
{
    wp_enqueue_script('jquery-ui-core');
    wp_enqueue_script('jquery-ui-tabs');
    wp_enqueue_script('jquery-ui-sortable');
}
}
add_action('wp_enqueue_scripts', 'admin_enqueue');

function edge_get_image_path($src) {
    global $blog_id;
    if(isset($blog_id) && $blog_id > 0) {
        $imageParts = explode('/files/' , $src);
        if(isset($imageParts[1])) {
            $src = dirname($imageParts[0]) 
                . '/wp-content/blogs.dir/' . $blog_id . '/files/' . $imageParts[1];
        }
    }
    return $src;
}

function edge_get_files($path)
{
	global $edge_path;
	$theme_path = dirname($edge_path);
	$path = ltrim($path, '/');
	$path = rtrim($path, '/');
	$path = $theme_path . '/' . $path . '/';
	$tmp = glob($path . '*.*');
	$files = array();
	if (is_array($files)) 
	{
		foreach($tmp as $filename)
		{
			$filename = basename($filename);
			$files[$filename] = $filename;
		}
	}
	return $files;
}
function edge_generate_options($__options)
{
	$__output = null;
	foreach ($GLOBALS as $var => $value) $$var = $value;
	foreach ($__options as $__option) 
	{
		$__container = isset($__option['container']) ? 
			(bool)$__option['container'] : true;
		$__container_name = isset($__option['container_name']) ?
			$__option['container_name'] : 'option';
		$type = $__option['type'];
		$id = isset($__option['id']) ? 
			$__option['id'] : null;
		$std = isset($__option['std']) ? 
			$__option['std'] : null;
		$desc = isset($__option['desc']) ? 
			$__option['desc'] : null;
		$name = isset($__option['name']) ? 
			$__option['name'] : null;
		$options = isset($__option['options']) ? 
			$__option['options'] : null;
		$class = isset($__option['class']) ? 
			$__option['class'] : null;
		$selected_std = get_option($id);
		if (empty($selected_std)) $selected_std = $std;
		$__option_file_path = $edge_admin_path . 'templates/options/' 
			. $type . '.php';
		if (file_exists($__option_file_path))
		{
			ob_start();
			$__container and 
				require($edge_admin_path . 
				'templates/options/' . $__container_name . '_begin.php');
			require($__option_file_path);
			$__container and 
				require($edge_admin_path . 
				'templates/options/' . $__container_name . '_end.php');
			$__output .= ob_get_clean();
		}
	}
	return $__output;
}

function edge_generate_menu()
{
	global $edge_admin_path, $edge_theme_path, $edge_path;
	$menu = include($edge_admin_path . 'menu.php');
	if (is_array($menu)) {
		foreach ($menu as $item)
		{
			switch($item['type'])
			{
				case 'menu':
					add_menu_page(
						$item['page_title'],
						$item['menu_title'],
						$item['capabilaty'],
						$item['menu_slug'],
						$item['function'],
						$item['icon_url'],
						$item['position']
					);
					break;
				case 'submenu':
					add_submenu_page(
						$item['parent_slug'],
						$item['page_title'],
						$item['menu_title'],
						$item['capabilaty'],
						$item['menu_slug'],
						$item['function']
					);
					break;
			}
		}
	}
}

function edge_include_template_for_selected_menu()
{
	global $edge_admin_path, $edge_theme_path, $edge_path;
	$template = $edge_admin_path .'templates/default.php';
	$menu = include($edge_admin_path . 'menu.php');
	if (is_array($menu)) {
		foreach ($menu as $item)
		{
			if (isset($_REQUEST['page']) 
				&& $_REQUEST['page'] == $item['menu_slug'])
			{
				$template = $item['template'];
				break;
			}
		}
	}
	edge_include_template($template);
}

function edge_include_template($_path, $extra = array())
{
	extract ( $GLOBALS );
	extract ( $extra );
	include ( $_path );
}

function edge_get_stylesheets()
{
	global $alt_stylesheet_path;
	$alt_stylesheet_path = empty($alt_stylesheet_path) ? 
		TEMPLATEPATH . '/styles/' : $alt_stylesheet_path;
	$alt_stylesheets = array();
	if (is_dir($alt_stylesheet_path))
	{
		$tmp = glob($alt_stylesheet_path.'*.css');
		if (is_array($tmp) && !empty($tmp))
		{
			foreach ($tmp as $stylesheet_path)
			{
				$alt_stylesheets[] = 
					array_pop(explode('/', $stylesheet_path));
			}
		}
	}
	return $alt_stylesheets;
}

add_action('wp_ajax_edge_ajax_post_action', 'edge_ajax_callback');

function edge_ajax_callback()
{
	global $wpdb;
    global $edge_admin_path;
    $settings = include($edge_admin_path . 'settings.php');
	$options_name = 'edge_theme_options';
	$has_type = false;
	
	if (!is_admin())
	{
		die;
	}
	
	if(isset($_POST['type']))
	{
		$has_type = true;
		if($_POST['type'] == 'upload')
		{
			$clickedID = $_POST['data'];
			$filename = $_FILES[$clickedID];
			$override['test_form'] = false;
			$override['action'] = 'wp_handle_upload';    
			$uploaded_file = wp_handle_upload($filename,$override);
			$upload_tracking[] = $clickedID;
			update_option( $clickedID , $uploaded_file['url'] );
			if(!empty($uploaded_file['error'])) {echo 'Upload Error: ' . $uploaded_file['error']; }
			else { echo $uploaded_file['url']; }
		}
	}
	
	if ($has_type == false)
	{
		$data = $_POST['data'];
		parse_str($data, $output);
		$options =  get_option($options_name);
		foreach ($options as $option_array)
		{
			if (isset($option_array['id'])) 
			{
				$id = $option_array['id'];
				$old_value = get_option($id);
				$new_value = '';
				if (isset($output[$id]))
				{
					$new_value = $output[$option_array['id']];
				}
				$type = $option_array['type'];
				if (is_array($type))
				{
					foreach($type as $array)
					{
						if($array['type'] == 'text')
						{
							$id = $array['id'];
							$new_value = $output[$id];
							update_option( $id, stripslashes($new_value));
						}
					}
				}
				elseif (empty($new_value) && $type == 'checkbox')
				{ 
					update_option($id, 'false');
				}
				elseif ($new_value == 'true' && $type == 'checkbox')
				{
					update_option($id, 'true');
				}
				elseif($type == 'multicheck')
				{
					$options = $option_array['options'];
					foreach ($options as $options_id => $options_value)
					{
						$multicheck_id = $id . "_" . $options_id;
						if(!isset($output[$multicheck_id]))
						{
						  update_option($multicheck_id, 'false');
						}
						else{
						   update_option($multicheck_id, 'true');
						}
					}
				} 
				elseif($type == 'typography')
				{
					$typography_array = array();
					/* Size */
					$typography_array['size'] = $output[$option_array['id'] . '_size'];
					/* Face  */
					$typography_array['face'] = stripslashes($output[$option_array['id'] . '_face']);
					/* Style  */
					$typography_array['style'] = $output[$option_array['id'] . '_style'];
					/* Color  */
					$typography_array['color'] = $output[$option_array['id'] . '_color'];
					update_option($id, $typography_array);
				}
				elseif($type == 'border')
				{
					$border_array = array();	
					/* Width */
					$border_array['width'] = $output[$option_array['id'] . '_width'];
					/* Style  */
					$border_array['style'] = $output[$option_array['id'] . '_style'];
					/* Color  */
					$border_array['color'] = $output[$option_array['id'] . '_color'];
					update_option($id, $border_array);
				}
				elseif($type == 'grouped_options')
				{
					$found = 0;
					$temp = array();
					
					foreach ($output as $__output_key => $__output_value)
					{
						if (strpos($__output_key, $id) === 0)
						{
							$__output_key_array = explode('_', $__output_key);
							$_id = (int)array_pop($__output_key_array);
							if ($_id > 0) {
								if ( get_option($__output_key) != $__output_value ) {
									update_option($__output_key, $__output_value);
								} else {
									add_option($__output_key, $__output_value, null, 'yes');
								}
								$found++;
								$temp[$__output_key] = get_option($__output_key);
							}
						}
					}
                    update_option($id, $found);
				}
				else
				{
					update_option($id, $new_value);
				}
			}
		}
	}
	global $wpdb;
	
	die;
}

function edge_reset_options()
{
    global $edge_admin_path;
	$settings = include($edge_admin_path . 'settings.php');
	if (isset($_REQUEST['page']) && $_REQUEST['page'] == $settings['reset_slug'])
	{
		if (isset($_REQUEST['edge_save']) 
			&& $_REQUEST['edge_save'] == 'reset')
		{
			global $wpdb;
			$query = "DELETE FROM $wpdb->options WHERE option_name LIKE 'edge_%'";
			$wpdb->query($query);
			header('Location: admin.php?page=' 
				. $settings['reset_slug'] . '&reset=true');
			die;
		}
	}
}


function _log( $message ) {
	if( WP_DEBUG === true ){
		if( is_array( $message ) || is_object( $message ) ){
// 			error_log( print_r( $message, true ) );
		} else {
// 			error_log( $message );
		}
	}
}

function enqueue_theme_scripts() {
	_log("Entered enqueue_theme_scripts".get_bloginfo('template_url'));
	if (!is_admin()) {
		wp_enqueue_script( 'jquery' );
		wp_enqueue_script( 'slider' );
		wp_enqueue_script( 'superfish' );
	}
}
add_action('wp_enqueue_scripts', 'enqueue_theme_scripts');

function register_theme_scripts() {
	_log("Entered register_theme_scripts".get_bloginfo('template_url'));
	if (!is_admin()) {
		wp_register_script('slider',get_bloginfo('template_url')."/includes/js/slider.js");
		wp_register_script('superfish',get_bloginfo('template_url') . "/includes/js/superfish.js");
	}
}
add_action('init', 'register_theme_scripts');

