<?php

/**
 * Update theme specific variables
 */
$theme_data = wp_get_theme();

$edge_theme_name = $theme_data->get('Name');
update_option('edge_theme_name', $edge_theme_name);
$GLOBALS['edge_theme_name'] = $edge_theme_name;

$edge_theme_uri = $theme_data->get('ThemeURI');
update_option('edge_theme_uri', $edge_theme_uri);
$GLOBALS['edge_theme_uri'] = $edge_theme_uri;

$edge_theme_author = $theme_data->get('Author');
update_option('edge_theme_author', $edge_theme_author);
$GLOBALS['edge_theme_author'] = $edge_theme_author;

$edge_theme_authorname = $theme_data->get('Author');
update_option('edge_theme_authorname', $edge_theme_author);
$GLOBALS['edge_theme_authorname'] = $edge_theme_author;

$edge_theme_authoruri = $theme_data->get('AuthorURI');
update_option('edge_theme_authoruri', $edge_theme_authoruri);
$GLOBALS['edge_theme_authoruri'] = $edge_theme_authoruri;

$edge_theme_description = $theme_data->get('Description');
update_option('edge_theme_authoruri', $edge_theme_authoruri);
$GLOBALS['edge_theme_authoruri'] = $edge_theme_authoruri;

$edge_theme_status = $theme_data->get('Status');
update_option('edge_theme_status', $edge_theme_status);
$GLOBALS['edge_theme_status'] = $edge_theme_status;

$edge_theme_tags = $theme_data->get('Tags');
update_option('edge_theme_tags', $edge_theme_tags);
$GLOBALS['edge_theme_tags'] = $edge_theme_tags;

$edge_theme_template = $theme_data->get('Template');
update_option('edge_theme_template', $edge_theme_template);
$GLOBALS['edge_theme_template'] = $edge_theme_template;

$edge_theme_title = $theme_data->get('Name');
update_option('edge_theme_title', $edge_theme_title);
$GLOBALS['edge_theme_title'] = $edge_theme_title;

$edge_theme_version = $theme_data->get('Version');
update_option('edge_theme_version', $edge_theme_version);
$GLOBALS['edge_theme_version'] = $edge_theme_version;


// Framework settins
$settings = include($edge_admin_path . 'settings.php');

/**
 * Add default options and show Options Panel after activate
 */
if (is_admin() && isset($_GET['activated']) 
	&& $pagenow == "themes.php") 
{
	header('Location: ' 
		. admin_url() . 'admin.php?page=' . $settings['activation_slug']);
}

/**
 * Add default options and show Options Panel after reset
 */
if (is_admin() && isset($_GET['reset']) 
	&& $_GET['reset'] == 'true' 
	&& isset($_REQUEST['page']) 
	&& $_REQUEST['page'] == $settings['reset_slug']) 
{
	add_action('admin_head','edge_options_setup');
	header('Location: ' 
		. admin_url() . 'admin.php?page=' . $settings['activation_slug']
		. '&reset=completed');
}

function edge_options_setup ()
{
	$_options = array();
	add_option('edge_theme_saved_options', $_options);
	$theme_options = get_option('edge_theme_options');
	$theme_saved_options = get_option('edge_theme_saved_options');
	
	foreach ($theme_options as $option)
	{
		if ($option['type'] != 'heading')
		{
			$id = $option['id'];
			$std = $option['std'];
			if (empty($theme_saved_options[$id]))
			{
				if(is_array($option['type'])) 
				{
					foreach($option['type'] as $child)
					{
						$id = $child['id'];
						$std = $child['std'];
						update_option($id, $std);
						$_options[$id] = $std; 
					}
				} else {
					update_option($id, $std);
					$_options[$id] = $std;
				}
			}
			else
			{
				$_options[$id] = $theme_saved_options[$id];
			}
		}
	}
	update_option('edge_theme_saved_options', $_options);
}
