<?php

/** 
 * Paths for edge Framework and theme related functions
 */

$edge_path = TEMPLATEPATH . '/bigwave/';
$edge_admin_path = $edge_path . 'admin/';
$edge_theme_path = $edge_path . 'theme/';

require_once($edge_admin_path . 'setup.php');

function script_enqueue(){
	$path = get_bloginfo('template_url');
	if(!is_admin())
	{
		wp_enqueue_script('jquery');
	
		wp_register_script('themepunch_plugins_min',$path.'/includes/js/jquery.themepunch.plugins.min.js');
		wp_enqueue_script('themepunch_plugins_min');
	
		wp_register_script('bootstrap',$path.'/includes/js/bootstrap.js');
		wp_enqueue_script('bootstrap');
	
		wp_register_script('jquery_bxslider_min',$path.'/includes/js/jquery.bxslider.min.js');
		wp_enqueue_script('jquery_bxslider_min');
	
		wp_register_script('jquery_nav_min',$path.'/includes/js/jquery.nav.min.js');
		wp_enqueue_script('jquery_nav_min');
	
		wp_register_script('sorting',$path.'/includes/js/sorting.js');
		wp_enqueue_script('sorting');
	
		wp_register_script('jquery_migrate_1_2.1_min',$path.'/includes/js/jquery-migrate-1.2.1.min.js');
		wp_enqueue_script('jquery_migrate_1_2.1_min');
	
		wp_register_script('jquery_address_1_5_min',$path.'/includes/js/jquery.address-1.5.min.js');
		wp_enqueue_script('jquery_address_1_5_min');
	
		wp_register_script('triple_layout',$path.'/includes/js/triple.layout.js');
		wp_enqueue_script('triple_layout');
	
		wp_register_script('fastclick',$path.'/includes/js/fastclick.js');
		wp_enqueue_script('fastclick');
	
		wp_register_script('jquery_isotop_min',$path.'/includes/js/jquery.isotope.min.js');
		wp_enqueue_script('jquery_isotop_min');
	
		wp_register_script('jquery_fancybox_1_3_4_pack',$path.'/includes/js/jquery.fancybox-1.3.4.pack.js');
		wp_enqueue_script('jquery_fancybox_1_3_4_pack');
	
		wp_register_script('custom',$path.'/includes/js/custom.js');
		wp_enqueue_script('custom');
	
		wp_register_script('nprogress',$path.'/includes/js/nprogress.js');
		wp_enqueue_script('nprogress');
	}
}

/**
 * Include edge Framework
 */
require_once($edge_admin_path . 'functions.php');
require_once($edge_admin_path . 'categories-functions.php');
require_once($edge_admin_path . 'interface.php');

/*Featured Image*/
add_theme_support( 'post-thumbnails' );

/**
 * Include theme related functions
 */
require_once($edge_theme_path . 'options.php');
require_once($edge_theme_path . 'filters.php');

/**
 * Load functions
 */
add_action('admin_menu', 'edge_admin_menu');
add_action('admin_head', 'edge_admin_head');
add_action('init','script_enqueue');